#image:
#  file: .gitpod.dockerfile

tasks:
  - name: initialize
    init: |
      echo "Node metrics: $(gp url 8080)/metrics"
      echo "Prometheus: $(gp url 9090)"
      echo "Grafana: $(gp url 3000)"
      echo "  - Go to Dashboards/Manage"
      echo "  - Chose NodeJS Application Dashboard"

  - name: urls
    init: |
      echo "Node metrics: $(gp url 8080)/metrics"
      echo "Prometheus: $(gp url 9090)"
      echo "Grafana: $(gp url 3000)"
      echo "  - Go to Dashboards/Manage"
      echo "  - Chose NodeJS Application Dashboard"
      
ports:
  - port: 8080
    visibility: public
  - port: 3000
    visibility: public
  - port: 9090
    visibility: public

vscode:
  extensions:
    - wayou.vscode-todo-highlight
    - coenraads.bracket-pair-colorizer
    - pkief.material-icon-theme

